// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.1
// 	protoc        (unknown)
// source: serial/v0alpha/password.proto

package v0alpha

import (
	v1 "gitlab.com/sourcehaven/mypass/go.keepsafe/internal/proto/gorm/v1"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Password is a message object that will be used
// for serialization only. The message will undergo
// a simple byte conversion to be stored effectively.
type Password struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Label or name of this entry.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// The username of this entry
	Username string `protobuf:"bytes,2,opt,name=username,proto3" json:"username,omitempty"`
	// The password defined by this entry.
	Password string `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
	// The site that this password will be used on.
	Site string `protobuf:"bytes,4,opt,name=site,proto3" json:"site,omitempty"`
	// Notes, if you should store any about this entry.
	Note string `protobuf:"bytes,5,opt,name=note,proto3" json:"note,omitempty"`
	// Mark as favourite.
	Favourite bool `protobuf:"varint,6,opt,name=favourite,proto3" json:"favourite,omitempty"`
	// Parent id. This refers to another object of the same message.
	ParentId string `protobuf:"bytes,7,opt,name=parent_id,json=parentId,proto3" json:"parent_id,omitempty"`
	// Child id. This refers to another object of the same message.
	ChildId string `protobuf:"bytes,8,opt,name=child_id,json=childId,proto3" json:"child_id,omitempty"`
	// Container folder, if any.
	FolderId string `protobuf:"bytes,9,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
	// Gorm specific data.
	Meta *v1.Meta `protobuf:"bytes,15,opt,name=meta,proto3" json:"meta,omitempty"`
}

func (x *Password) Reset() {
	*x = Password{}
	if protoimpl.UnsafeEnabled {
		mi := &file_serial_v0alpha_password_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Password) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Password) ProtoMessage() {}

func (x *Password) ProtoReflect() protoreflect.Message {
	mi := &file_serial_v0alpha_password_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Password.ProtoReflect.Descriptor instead.
func (*Password) Descriptor() ([]byte, []int) {
	return file_serial_v0alpha_password_proto_rawDescGZIP(), []int{0}
}

func (x *Password) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Password) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *Password) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *Password) GetSite() string {
	if x != nil {
		return x.Site
	}
	return ""
}

func (x *Password) GetNote() string {
	if x != nil {
		return x.Note
	}
	return ""
}

func (x *Password) GetFavourite() bool {
	if x != nil {
		return x.Favourite
	}
	return false
}

func (x *Password) GetParentId() string {
	if x != nil {
		return x.ParentId
	}
	return ""
}

func (x *Password) GetChildId() string {
	if x != nil {
		return x.ChildId
	}
	return ""
}

func (x *Password) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

func (x *Password) GetMeta() *v1.Meta {
	if x != nil {
		return x.Meta
	}
	return nil
}

var File_serial_v0alpha_password_proto protoreflect.FileDescriptor

var file_serial_v0alpha_password_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2f, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0e, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x1a,
	0x12, 0x67, 0x6f, 0x72, 0x6d, 0x2f, 0x76, 0x31, 0x2f, 0x6d, 0x65, 0x74, 0x61, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0x94, 0x02, 0x0a, 0x08, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x73, 0x69, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73, 0x69, 0x74, 0x65,
	0x12, 0x12, 0x0a, 0x04, 0x6e, 0x6f, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x6e, 0x6f, 0x74, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69, 0x74,
	0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69,
	0x74, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x12,
	0x19, 0x0a, 0x08, 0x63, 0x68, 0x69, 0x6c, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x63, 0x68, 0x69, 0x6c, 0x64, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66,
	0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18,
	0x0f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x67, 0x6f, 0x72, 0x6d, 0x2e, 0x76, 0x31, 0x2e,
	0x4d, 0x65, 0x74, 0x61, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x42, 0xc5, 0x01, 0x0a, 0x12, 0x63,
	0x6f, 0x6d, 0x2e, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68,
	0x61, 0x42, 0x0d, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x50, 0x72, 0x6f, 0x74, 0x6f,
	0x50, 0x01, 0x5a, 0x47, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73,
	0x6f, 0x75, 0x72, 0x63, 0x65, 0x68, 0x61, 0x76, 0x65, 0x6e, 0x2f, 0x6d, 0x79, 0x70, 0x61, 0x73,
	0x73, 0x2f, 0x67, 0x6f, 0x2e, 0x6b, 0x65, 0x65, 0x70, 0x73, 0x61, 0x66, 0x65, 0x2f, 0x69, 0x6e,
	0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xa2, 0x02, 0x03, 0x53, 0x56,
	0x58, 0xaa, 0x02, 0x0e, 0x53, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x56, 0x30, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0xca, 0x02, 0x0e, 0x53, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61, 0x6c,
	0x70, 0x68, 0x61, 0xe2, 0x02, 0x1a, 0x53, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61,
	0x6c, 0x70, 0x68, 0x61, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0xea, 0x02, 0x0f, 0x53, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x3a, 0x3a, 0x56, 0x30, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_serial_v0alpha_password_proto_rawDescOnce sync.Once
	file_serial_v0alpha_password_proto_rawDescData = file_serial_v0alpha_password_proto_rawDesc
)

func file_serial_v0alpha_password_proto_rawDescGZIP() []byte {
	file_serial_v0alpha_password_proto_rawDescOnce.Do(func() {
		file_serial_v0alpha_password_proto_rawDescData = protoimpl.X.CompressGZIP(file_serial_v0alpha_password_proto_rawDescData)
	})
	return file_serial_v0alpha_password_proto_rawDescData
}

var file_serial_v0alpha_password_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_serial_v0alpha_password_proto_goTypes = []interface{}{
	(*Password)(nil), // 0: serial.v0alpha.Password
	(*v1.Meta)(nil),  // 1: gorm.v1.Meta
}
var file_serial_v0alpha_password_proto_depIdxs = []int32{
	1, // 0: serial.v0alpha.Password.meta:type_name -> gorm.v1.Meta
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_serial_v0alpha_password_proto_init() }
func file_serial_v0alpha_password_proto_init() {
	if File_serial_v0alpha_password_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_serial_v0alpha_password_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Password); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_serial_v0alpha_password_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_serial_v0alpha_password_proto_goTypes,
		DependencyIndexes: file_serial_v0alpha_password_proto_depIdxs,
		MessageInfos:      file_serial_v0alpha_password_proto_msgTypes,
	}.Build()
	File_serial_v0alpha_password_proto = out.File
	file_serial_v0alpha_password_proto_rawDesc = nil
	file_serial_v0alpha_password_proto_goTypes = nil
	file_serial_v0alpha_password_proto_depIdxs = nil
}
